<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateWorkingSurfaceTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('working_surface', function (Blueprint $table) {
            $table->bigIncrements('id')->comment('矿区工作面配置表');
            $table->integer('mine_id')->index()->comment('矿区id(mine_list表id)');
            $table->string('surface_name', 100)->comment('工作面名称');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('working_surface');
    }
}
